# xarray.ufuncs.angle

`xarray.ufuncs.``angle` = <xarray.ufuncs._UFuncDispatcher object>

  xarray specific variant of numpy.angle. Handles xarray.Dataset, xarray.DataArray, xarray.Variable, numpy.ndarray and dask.array.Array objects with automatic dispatching.

  Documentation from numpy:

  > Return the angle of the complex argument.

  Parameters:

  z : array_like

  > > A complex number or sequence of complex numbers.

  > deg : bool, optional

  >   Return angle in degrees if True, radians if False (default).

  Returns:

  angle : ndarray or scalar

  > The counterclockwise angle from the positive real axis on the complex plane, with dtype as numpy.float64.

  Examples

      >>> np.angle([1.0, 1.0j, 1+1j])               # in radians
      array([ 0.        ,  1.57079633,  0.78539816])
      >>> np.angle(1+1j, deg=True)                  # in degrees
      45.0